SoResetTransform(3)

NAME
SoResetTransform - The SoResetTransform class is a node type which makes it possible to 'nullify' state during traversal.

SYNOPSIS

#include <Inventor/nodes/SoResetTransform.h>

Inherits SoTransformation.

  Public Types
enum ResetType { TRANSFORM = 0x01, BBOX = 0x02 }

  Public Member Functions
virtual SoType getTypeId (void) const
SoResetTransform (void)
virtual void doAction (SoAction *action)
virtual void callback (SoCallbackAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void getMatrix (SoGetMatrixAction *action)
virtual void pick (SoPickAction *action)
virtual void getPrimitiveCount (SoGetPrimitiveCountAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFBitMask whatToReset

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoResetTransform ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoResetTransform class is a node type which makes it possible to 'nullify' state during traversal. SoResetTransform is useful for setting up geometry in the scene graph which will not be influenced by the transformation nodes before it during traversal.

FILE FORMAT/DEFAULTS:

ResetTransform {
    whatToReset TRANSFORM
}

Member Enumeration Documentation

  enum SoResetTransform::ResetType
The different options for what to reset.

Enumerator

TRANSFORM
    Reset current model transformation.

BBOX
    Reset current bounding box settings.

Constructor & Destructor Documentation

  SoResetTransform::SoResetTransform (void)
Constructor.

  SoResetTransform::~SoResetTransform () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoResetTransform::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoResetTransform::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTransformation.

  const SoFieldData ** SoResetTransform::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoResetTransform::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTransformation.

  void SoResetTransform::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoResetTransform::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoResetTransform::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoResetTransform::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoNode.

  void SoResetTransform::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoNode.

  void SoResetTransform::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoResetTransform::getPrimitiveCount (SoGetPrimitiveCountAction * action) [virtual]
Action method for the SoGetPrimitiveCountAction.

Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action.

Nodes influencing how geometry nodes calculate their primitive count also override this method to change the relevant state variables.

Reimplemented from SoNode.

Member Data Documentation

  SoSFBitMask SoResetTransform::whatToReset
What this node instance should reset in the state when met during traversal. Default value is SoResetTransform::TRANSFORM.

Author

Generated automatically by Doxygen for Coin from the source code.